PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Protected Attributes | Static Protected Attributes | List of all members
PServiceMacro Class Reference

`#include <httpsvc.h>`

Inheritance diagram for PServiceMacro:
[legend]
Collaboration diagram for PServiceMacro:
[legend]

## Public Member Functions
| PServiceMacro (const char *name, PBoolean isBlock)
| PServiceMacro (const PCaselessString &name, PBoolean isBlock)
Comparison | Compare (const PObject &obj) const
| Compare the two objects and return their relative rank. More...
virtual PString | Translate (PHTTPRequest &request, const PString &args, const PString &block) const
Public Member Functions inherited from PObject
unsigned | GetTraceContextIdentifier () const
| Get PTRACE context identifier. More...
void | SetTraceContextIdentifier (unsigned id)
void | GetTraceContextIdentifier (PObject &obj)
void | GetTraceContextIdentifier (PObject *obj)
void | SetTraceContextIdentifier (const PObject &obj)
void | SetTraceContextIdentifier (const PObject *obj)
virtual | ~PObject ()
virtual PObject * | Clone () const
| Create a copy of the class on the heap. More...
template<class CLS >
CLS * | CloneAs () const
| As for Clone() but converts to specified type. More...
virtual PINDEX | HashFunction () const
| This function yields a hash value required by the `PDictionary` class. More...
virtual const char * | GetClass (unsigned ancestor=0) const
| Get the current dynamic type of the object instance. More...
PBoolean | IsClass (const char *cls) const
virtual PBoolean | InternalIsDescendant (const char *clsName) const
| Determine if the dynamic type of the current instance is a descendent of the specified class. More...
__inline const PObject * | PTraceObjectInstance () const
virtual Comparison | CompareObjectMemoryDirect (const PObject &obj) const
| Determine the byte wise comparison of two objects. More...
bool | operator== (const PObject &obj) const
| Compare the two objects. More...
bool | operator!= (const PObject &obj) const
| Compare the two objects. More...
bool | operator< (const PObject &obj) const
| Compare the two objects. More...
bool | operator> (const PObject &obj) const
| Compare the two objects. More...
bool | operator<= (const PObject &obj) const
| Compare the two objects. More...
bool | operator>= (const PObject &obj) const
| Compare the two objects. More...
virtual void | PrintOn (ostream &strm) const
| Output the contents of the object to the stream. More...
virtual void | ReadFrom (istream &strm)
| Input the contents of the object from the stream. More...

## Protected Attributes
const char * | macroName
PBoolean | isMacroBlock
PServiceMacro * | link
Protected Attributes inherited from PObject
unsigned | m_traceContextIdentifier

## Static Protected Attributes
static PServiceMacro * | list

## Additional Inherited Members
Public Types inherited from PObject
enum | Comparison { LessThan = -1, EqualTo = 0, GreaterThan = 1 }
| Result of the comparison operation performed by the `Compare()` function. More...
Static Public Member Functions inherited from PObject
static const char * | Class ()
| Get the name of the class as a C string. More...
static __inline const PObject * | PTraceObjectInstance (const char *)
static __inline const PObject * | PTraceObjectInstance (const PObject *obj)
static Comparison | InternalCompareObjectMemoryDirect (const PObject *obj1, const PObject *obj2, PINDEX size)
| Internal function caled from CompareObjectMemoryDirect() More...
Protected Member Functions inherited from PObject
| PObject ()
| Constructor for PObject, made protected so cannot ever create one on its own. More...
Friends inherited from PObject

## Constructor & Destructor Documentation

PServiceMacro::PServiceMacro | ( | const char * | name,
|  | PBoolean | isBlock
| ) |  |

PServiceMacro::PServiceMacro | ( | const PCaselessString & | name,
|  | PBoolean | isBlock
| ) |  |

## Member Function Documentation

Comparison PServiceMacro::Compare | ( | const PObject & | obj | ) | const
| virtual

Compare the two objects and return their relative rank.

This function is usually overridden by descendent classes to yield the ranking according to the semantics of the object.

The default function is to use the `CompareObjectMemoryDirect()` function to do a byte wise memory comparison of the two objects.

Returns
  `LessThan`, `EqualTo` or `GreaterThan` according to the relative rank of the objects.

Reimplemented from PObject.

virtual PString PServiceMacro::Translate | ( | PHTTPRequest & | request,
|  | const PString & | args,
|  | const PString & | block
| ) |  | const
| virtual

## Member Data Documentation

PBoolean PServiceMacro::isMacroBlock
| protected

PServiceMacro* PServiceMacro::link
| protected

PServiceMacro* PServiceMacro::list
| static protected

const char* PServiceMacro::macroName
| protected

The documentation for this class was generated from the following file:

- httpsvc.h